### Method

# Gimp DrawableFilter update

since: 3.0

#### Declaration [src]

    void
    gimp_drawable_filter_update (
      GimpDrawableFilter* filter
    )

#### Description [src]

Syncs the `GimpConfig` with properties that match `filter`‘s arguments. This procedure updates the settings of the specified filter all at once, including the arguments of the `GimpDrawableFilterConfig` obtained with `gimp_drawable_filter_get_config()` as well as the blend mode and opacity.

In particular, if the image is displayed, rendering will be frozen and will happen only once for all changed settings.

Available since: 3.0